config:
  data:
    executor:
      socket:
        timeout: 10
      connection:
        timeout: 10
      url: http://localhost:8080/api
webbpm:
  mode: development
  security:
    token:
      secret:
        key: de2c9de3-0de5-47c1-a8de-0fad6f93873b-com.example-ervu_eks_5-17_10_2025_13:18
server:
  servlet:
    context-path: /ervu-eks
bpmn:
  enable: false
gar:
  enable: false
fias:
  enable: false
spring:
  mvc:
    servlet:
      loadOnStartup: 1
  jackson:
    serialization:
      write-dates-as-timestamps: false
      write-enums-using-to-string: true
    deserialization:
      read-enums-using-to-string: true
  task:
    scheduling:
      pool:
        size: 12
  datasource:
    person:
      url: jdbc:postgresql://127.0.0.1:5432/person_registry
      username: ${SPRING_DATASOURCE_PERSON_USERNAME}
      password: ${SPRING_DATASOURCE_PERSON_PASSWORD}
      driverClassName: org.postgresql.Driver
      dbBeanPackage: com.example.ervu_eks_5.db_beans.person
      sqlDialect: POSTGRES
      default: false
      manually: true
      schemas:
      - public
    security:
      url: jdbc:postgresql://127.0.0.1:5432/ervu_eks
      username: ${SPRING_DATASOURCE_SECURITY_USERNAME}
      password: ${SPRING_DATASOURCE_SECURITY_PASSWORD}
      driverClassName: org.postgresql.Driver
      dbBeanPackage: com.example.ervu_eks_5.db_beans.security
      sqlDialect: POSTGRES
      maxSize: 7
      metricsEnabled: true
      default: true
      manually: true
      schemas:
      - security
monitoring:
  white:
    ip:
      list: 127.0.0.1, 0:0:0:0:0:0:0:1
management:
  endpoints:
    web:
      exposure:
        include: info,health,metrics,prometheus
  metrics:
    export:
      prometheus:
        enabled: true
logging:
  level:
    root: INFO
    org:
      jooq:
        tools: DEBUG
    ru:
      cg:
        webbpm:
          modules:
            database:
              impl:
                analytics: DEBUG
